import com.burtbeckwith.springone2gx.Role
import com.burtbeckwith.springone2gx.User

class BootStrap {

	def passwordEncoder

	def init = { servletContext ->

		def adminRole = new Role(description: 'Admin role', authority: 'ROLE_ADMIN').save()
		println "${Role.count()} roles"

		String password = passwordEncoder.encodePassword('p4ssw0rd', null)
		def me = new User(username: 'admin', passwd: password, enabled: true,
				userRealName: 'Admin Jones', email: 'admin@mycompany.com').save()
		println "${User.count()} users"

		adminRole.addToPeople(me)
		adminRole.save(flush: true)
	}

	def destroy = {}
} 
